# pointpats.skyum

pointpats.skyum(points)

  WARNING: This function is deprecated in favor of minimum_bounding_circle

  Implements Skyum (1990)’s algorithm for the minimum bounding circle in R^2.

  Store points clockwise. Find p in S that maximizes angle(prec(p), p, succ(p) THEN radius(prec( p), p, succ(p)). This is also called the lexicographic maximum, and is the last entry of a list of (radius, angle) in lexicographical order.

  - If angle(prec(p), p, succ(p)) <= 90 degrees, then finish.

  - If not, remove p from set.

  Parameters:
    points numpy.ndarray

      a numpy array of shape (n_observations, 2) to compute the minimum bounding circle

  Returns:
    (x,y),center for the minimum bounding circle.